Package org.eclipse.net4j.signal.confirmation

## Class ConfirmationIndication<PROTOCOL extends SignalProtocol<?> & org.eclipse.net4j.util.confirmation.IConfirmationProvider.Provider>

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalReactor
    - - org.eclipse.net4j.signal.IndicationWithResponse
      - - org.eclipse.net4j.signal.IndicationWithMonitoring
        - - org.eclipse.net4j.signal.confirmation.ConfirmationIndication<PROTOCOL>

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class ConfirmationIndication<PROTOCOL extends SignalProtocol<?> & org.eclipse.net4j.util.confirmation.IConfirmationProvider.Provider>
      extends IndicationWithMonitoring

  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfirmationIndication​(SignalProtocol<?> protocol, short signalID)` |
    `ConfirmationIndication​(SignalProtocol<?> protocol, short id, java.lang.String name)` |
    `ConfirmationIndication​(SignalProtocol<?> protocol, java.lang.Enum<?> literal)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.net4j.util.confirmation.IConfirmationProvider` | `getConfirmationProvider()` |
    `protected int` | `getIndicatingWorkPercent()` |
    `protected ConfirmationPrompt` | `getPrompt()` |
    `protected void` | `indicating​(org.eclipse.net4j.util.io.ExtendedDataInputStream in, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |
    `protected void` | `responding​(org.eclipse.net4j.util.io.ExtendedDataOutputStream out, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |

    - ### Methods inherited from class org.eclipse.net4j.signal.IndicationWithMonitoring

      `getMonitoringExecutorService, getRespondingWorkPercent, indicating, responding`

    - ### Methods inherited from class org.eclipse.net4j.signal.IndicationWithResponse

      `closeChannelAfterException, execute, getExceptionMessage`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalReactor

      `createMonitor`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfirmationIndication

          public ConfirmationIndication​(SignalProtocol<?> protocol,
                                        short id,
                                        java.lang.String name)

    - #### ConfirmationIndication

          public ConfirmationIndication​(SignalProtocol<?> protocol,
                                        short signalID)

    - #### ConfirmationIndication

          public ConfirmationIndication​(SignalProtocol<?> protocol,
                                        java.lang.Enum<?> literal)

  - ### Method Detail

    - #### getIndicatingWorkPercent

          protected int getIndicatingWorkPercent()

      Overrides:
        `getIndicatingWorkPercent` in class `IndicationWithMonitoring`

    - #### indicating

          protected void indicating​(org.eclipse.net4j.util.io.ExtendedDataInputStream in,
                                    org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
                             throws java.lang.Exception

      Specified by:
        `indicating` in class `IndicationWithMonitoring`
      Throws:
        `java.lang.Exception`

    - #### getPrompt

          protected final ConfirmationPrompt getPrompt()

    - #### responding

          protected void responding​(org.eclipse.net4j.util.io.ExtendedDataOutputStream out,
                                    org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
                             throws java.lang.Exception

      Specified by:
        `responding` in class `IndicationWithMonitoring`
      Throws:
        `java.lang.Exception`

    - #### getConfirmationProvider

          public org.eclipse.net4j.util.confirmation.IConfirmationProvider getConfirmationProvider()